lp:~pythoneers/ubuntu/lucid/python-geoip/ltsppa

Created by Barry Warsaw on 2011-09-15 and last modified on 2011-09-15
Get this branch:
bzr branch lp:~pythoneers/ubuntu/lucid/python-geoip/ltsppa
Members of Ubuntu Pythoneers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Pythoneers
Status:
Development

Recent revisions

15. By Barry Warsaw on 2011-09-15

No change rebuild for Python 2.7 LTS PPA.

14. By Barry Warsaw on 2011-09-14

No change rebuild for LTS PPA.

13. By James Westby on 2010-01-07

* Merge from Debian testing (lp: #503067). Remaining changes:
  - debian/copyright: Update to LGPL.
  - Build a python-geoip-dbg package.
* Add the Python modules team to uploaders.
* Depend on geoip-database. Closes: #558474.

12. By Muharem Hrnjadovic on 2009-06-25

* Merge from debian unstable (LP: #392172), remaining changes:
  - debian/copyright: Update to LGPL.
  - Build a python-geoip-dbg package.

11. By Matthias Klose on 2009-02-23

Build for python2.6.

10. By Matthias Klose on 2008-04-09

* Add the the following improvements to the GeoIP-Python binding
  (James Henstridge) LP: #180212, sf#1863473:
  1. fixes some reference leaks in setting up GeoIP.country_codes,
     country_names, and country_continents variables. It also moves some
     variable declarations to the top of the initGeoIP() function for
     compatibility with pre-C99 compilers.
  2. exposes CHECK_CACHE and INDEX_CACHE flags for GeoIP.new() or
     GeoIP.open()
  3. adds "database_info" and "database_edition" attributes to GeoIP
     objects.
  4. adds "region_name" and "time_zone" keys to dictionary returned by
     record_by_addr()/record_by_name().
* debian/copyright: Update to LGPL.

9. By Matthias Klose on 2007-02-19

* Build a python-geoip-dbg package.
* Set Ubuntu maintainer address.

8. By Matthias Klose on 2006-09-08

Rebuild to add support for python2.5.

7. By Josselin Mouette <email address hidden> on 2006-06-30

* Standards version is 3.7.2.
* Migrate to the new python policy (closes: #373540).
  + Bump build dependencies.
  + Use DEB_PYTHON_SYSTEM=pysupport.
  + pycompat=2, pyversions=2.0-
* Update FSF address.

6. By Matthias Klose on 2006-02-14

Drop python2.3 package.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/oneiric/python-geoip
This branch contains Public information 
Everyone can see this information.